using System;
using Minesweeper.Core;

namespace Minesweeper.Presentation.Views
{
    public interface IMainMenuView : IView
    {
        event Action StartClicked;
        event Action SizeChanged;

        GameSettingsValue SelectedSettings { get; }

        void Show();
        void Hide();
        void ConfigureSizeX(int min, int max, int value);
        void ConfigureSizeY(int min, int max, int value);
        void ConfigureMines(int min, int max, int value);
    }
}
